Scrape Amazon search results
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.amazon.search({ query: "wireless earbuds" });
console.log(result.data.results);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.amazon.search(query="wireless earbuds")
print(result["data"]["results"])
curl -X POST https://api.stophy.dev/v1/amazon/search \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"query":"wireless earbuds"}'
stophy amazon search "wireless earbuds"
{
"success": true,
"data": {
"total": 1234,
"results": [
{
"productId": "abc123",
"productUrl": "https://example.com/",
"title": "Example title",
"imageUrl": "https://example.com/image.jpg",
"price": 19.99,
"originalPrice": 19.99,
"priceCurrency": "example",
"rating": 4.5,
"reviews": 1234,
"boughtPastMonth": 1,
"isSponsored": false
}
],
"page": 1
},
"creditsUsed": 2,
"requestId": "e3c32e52-81d2-4fba-856c-1923affda334"
}
Endpoints
| Endpoint | Cost |
|---|---|
| Scrape Google Shopping results | 2 credits |
| Scrape Amazon search results | 2 credits |
| Scrape an Amazon product page | 2 credits |
| Scrape Amazon Best Sellers lists | 2 credits |
| Scrape Amazon search suggestions | 1 credit |
| Scrape TikTok Shop search results | 1 credit |
| Scrape a TikTok Shop seller’s products | 1 credit |
| Scrape a TikTok Shop product page | 1 credit |
| Scrape a TikTok Shop product’s reviews | 1 credit |
| Scrape eBay search results | 1 credit |
| Scrape an eBay item page | 1 credit |
| Scrape Facebook Marketplace search results | 1 credit |
| Scrape Trustpilot search results | 1 credit |
| Scrape a Trustpilot company page | 1 credit |
| Scrape a Trustpilot company’s reviews | 1 credit |
More ways to call it
Scrape an Amazon product page
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.amazon.product({ productUrl: "https://www.amazon.com/dp/B0CX23V2ZK" });
console.log(result.data);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.amazon.product(product_url="https://www.amazon.com/dp/B0CX23V2ZK")
print(result["data"])
curl -X POST https://api.stophy.dev/v1/amazon/product \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"productUrl":"https://www.amazon.com/dp/B0CX23V2ZK"}'
stophy amazon product --productUrl https://www.amazon.com/dp/B0CX23V2ZK
Scrape Google Shopping results
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.google.shopping({ query: "running shoes" });
console.log(result.data.results);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.google.shopping(query="running shoes")
print(result["data"]["results"])
curl -X POST https://api.stophy.dev/v1/google/shopping \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"query":"running shoes"}'
stophy google shopping "running shoes"
Amazon search, product and best sellers, and Google Shopping cost 2 credits. Pass the product link from an Amazon search result into
amazon.product.